# TestFrameworkFailure

@Incubating
interface TestFrameworkFailure : TestFailure

Describes an unexpected test failure, i.e. when the execution fails but not with an assertion failure.

#### Since

7.6

## Functions

getCauses
Link copied to clipboard
abstract fun getCauses(): List<out Failure>
getClassName
Link copied to clipboard
abstract fun getClassName(): String
getDescription
Link copied to clipboard
abstract fun getDescription(): @Nullable String
getMessage
Link copied to clipboard
abstract fun getMessage(): @Nullable String
getProblems
Link copied to clipboard
abstract fun getProblems(): List<Problem>
getStacktrace
Link copied to clipboard
abstract fun getStacktrace(): String